eclipticalToEquatorial {oce} | R Documentation

## Convert ecliptical to equatorial coordinate

### Description

Convert from ecliptical to equatorial coordinates, using equations 8.3 and 8.4 of [1], or, equivalently, equations 12.3 and 12.4 of [2].

### Usage

    eclipticalToEquatorial(lambda, beta, epsilon)

### Arguments

`lambda` | longitude, in degrees, or a data frame containing `lambda`, `beta`, and `epsilon`, in which case the next to arguments are ignored.
`beta` | geocentric latitude, in degrees
`epsilon` | obliquity of the ecliptic, in degrees

### Value

A data frame containing columns `rightAscension` and `declination` both in degrees.

### Author(s)

Dan Kelley, based on formulae in [1] and [2].

### References

1. Meeus, Jean, 1982. Astronomical formuae for Calculators. Willmann-Bell. Richmond VA, USA. 201 pages.

2. Meeus, Jean, 1991. Astronomical algorithms. Willmann-Bell, Richmond VA, USA. 429 pages. The code is based on [1]; see help(moonAngle,"oce") for comments on the differences in formulae found in [2]. Indeed, [2] is only cited here in case readers want to check the ideas of the formulae; DK has found that [2] is available to him via his university library inter-library loan system, whereas he owns a copy of [1].

### See Also

Other things related to astronomy: `equatorialToLocalHorizontal`, `julianCenturyAnomaly`, `julianDay`, `moonAngle`, `siderealTime`, `sunAngle`

[Package oce version 0.9-22 Index]